wibble::tests::Location Class Reference

`#include <tests.h>`

## Public Member Functions

| Location ()
| Location (const char *file, int line, const char *args)
| Location (const Location &parent, const char *file, int line, const char *args)
Location | nest (const wibble::tests::LocationInfo &info, const char *file, int line, const char *args=0) const
std::string | locstr () const
std::string | msg (const std::string m) const
void | fail_test (const std::string &msg) const WIBBLE_TESTS_ALWAYS_THROWS
void | fail_test (const wibble::tests::LocationInfo &info, const char *file, int line, const char *args, const std::string &msg) const WIBBLE_TESTS_ALWAYS_THROWS
void | backtrace (std::ostream &out) const

## Constructor & Destructor Documentation

## Location() [1/3]

wibble::tests::Location::Location | ( |  | ) |

Referenced by nest().

## Location() [2/3]

wibble::tests::Location::Location | ( | const char * | file,
|  | int | line,
|  | const char * | args
| ) |  |

## Location() [3/3]

wibble::tests::Location::Location | ( | const Location & | parent,
|  | const char * | file,
|  | int | line,
|  | const char * | args
| ) |  |

## Member Function Documentation

## backtrace()

void wibble::tests::Location::backtrace | ( | std::ostream & | out | ) | const

References backtrace().

Referenced by backtrace(), locstr(), and msg().

## fail_test() [1/2]

void wibble::tests::Location::fail_test | ( | const std::string & | msg | ) | const

References msg().

Referenced by wibble::tests::TestBool< A >::check(), wibble::tests::TestEquals< A, E >::check(), wibble::tests::TestIsLt< A, E >::check(), wibble::tests::TestIsLte< A, E >::check(), wibble::tests::TestIsGt< A, E >::check(), wibble::tests::TestIsGte< A, E >::check(), wibble::tests::TestStartsWith::check(), wibble::tests::TestEndsWith::check(), wibble::tests::TestContains::check(), wibble::tests::TestRegexp::check(), wibble::tests::TestFileExists::check(), fail_test(), wibble::tests::impl_ensure(), wibble::tests::impl_ensure_contains(), wibble::tests::impl_ensure_equals(), wibble::tests::impl_ensure_not_contains(), wibble::tests::impl_ensure_similar(), wibble::tests::test_assert_contains(), wibble::tests::test_assert_endswith(), wibble::tests::test_assert_file_exists(), wibble::tests::test_assert_istrue(), wibble::tests::test_assert_not_file_exists(), wibble::tests::test_assert_re_match(), and wibble::tests::test_assert_startswith().

## fail_test() [2/2]

void wibble::tests::Location::fail_test | ( | const wibble::tests::LocationInfo & | info,
|  | const char * | file,
|  | int | line,
|  | const char * | args,
|  | const std::string & | msg
| ) |  | const

References fail_test(), and nest().

## locstr()

std::string wibble::tests::Location::locstr | ( |  | ) | const

References backtrace().

## msg()

std::string wibble::tests::Location::msg | ( | const std::string | m | ) | const

References backtrace().

Referenced by fail_test().

## nest()

Location wibble::tests::Location::nest | ( | const wibble::tests::LocationInfo & | info,
|  | const char * | file,
|  | int | line,
|  | const char * | args = `0`
| ) |  | const

References Location().

Referenced by fail_test().

The documentation for this class was generated from the following files:

- tests.h
- tests.cpp